Class | Logger
In: | lib/active_support/core_ext/logger.rb
Parent: | Object

Extensions to the built in Ruby logger.

If you want to use the default log formatter as defined in the Ruby core, then you will need to set the formatter for the logger as in:

      logger.formatter = Formatter.new

You can then specify the datetime format, for example:

      logger.datetime_format = "%Y-%m-%d"

Note: This logger is deprecated in favor of ActiveSupport::BufferedLogger

### Methods

datetime_format datetime_format= define_around_helper formatter silence

### Classes and Modules

Class Logger::Formatter
Class Logger::SimpleFormatter

### External Aliases

datetime_format= | -> | old_datetime_format=
datetime_format | -> | old_datetime_format
formatter | -> | old_formatter
format_message | -> | old_format_message
format_datetime | -> | old_format_datetime
msg2str | -> | old_msg2str

### Public Class methods

define_around_helper(level)

### Public Instance methods

datetime_format()

Get the logging datetime format. Returns nil if the formatter does not support datetime formatting.

datetime_format=(datetime_format)

Logging date-time format (string passed to `strftime`). Ignored if the formatter does not respond to datetime_format=.

formatter()

Get the current formatter. The default formatter is a SimpleFormatter which only displays the log message

silence(temporary_level = Logger::ERROR) {|self| ...}

Silences the logger for the duration of the block.

[Validate]